Description

Subtasks:

Task # 2542: Add loading of the database file via docker path arguments Closed

Task # 2543: Create deploy script Closed

Task # 2544: Move files directory outside of the container Closed

Task # 2545: Add support for cache directory Closed

Task # 2546: Add support for indexes directory Closed

Associated revisions

Revision 998 - 12/23/2019 05:57 AM - luke.murphey

Adding docker push command

Reference  #2541

History

#1 - 12/23/2019 02:53 AM - Luke Murphey

Questions:

Should I include the static resources?

Should I include the code or use the repo to run it?

I could

How would I transfer the image to the server?

I could build it locally; and deploy via 

https://stackoverflow.com/questions/23935141/how-to-copy-docker-images-from-one-host-to-another-without-using-a-repository

I can also put it on Docker hub

How do I deploy it?

I could write a script to pull this down and run it

How do I get the static files?

#2 - 12/24/2019 07:03 AM - Luke Murphey

- Subject changed from Add Support for loading database at runtime to Add Support for loading config at runtime

#3 - 12/24/2019 07:40 AM - Luke Murphey

- Subject changed from Add Support for loading config at runtime to Add support for loading config at runtime
https://stackoverflow.com/questions/23935141/how-to-copy-docker-images-from-one-host-to-another-without-using-a-repository


#4 - 12/25/2019 05:59 AM - Luke Murphey

- Status changed from New to Closed
